#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n,m;
    cin>>n>>m;
    bool amongus=true;
    for(int i = 0;i<m;i++)
    {
        int a,b,t;
        cin>>a>>b>>t;
        if(t!=1) amongus=false;
    }
    int u,v;
    cin>>u>>v;
    if(amongus) cout<<1;
    else cout<<-1;
    return 0;
}